<?php

session_start();
$rut = $_SESSION['rut'];
$cliente = $_SESSION['cliente'];

$pi_folio = $_REQUEST['pi_folio'];
$especie_id = $_REQUEST['especie_id'];

include '../../conexion/conn.php';

$rs = mysql_query("SELECT * FROM cal_planilla_inspeccion where pi_folio='$pi_folio'");

if ($row = mysql_fetch_array($rs)) {
  $exportador_cod = $row['pi_exportador_cod'];
}

if (isset($_GET['embalaje_cod'])) {
  $embalaje_cod = $_GET['embalaje_cod'];
} else {
  $embalaje_cod = "";
}
if (isset($_GET['variedad_id'])) {
  $variedad_id = $_GET['variedad_id'];
} else {
  $variedad_id = "";
}
if (isset($_GET['productor_id'])) {
  $productor_id = $_GET['productor_id'];
} else {
  $productor_id = "";
}
if (isset($_GET['clasificacion_id'])) {
  $clasificacion_id = $_GET['clasificacion_id'];
} else {
  $clasificacion_id = "";
}
if (isset($_GET['calibre_id'])) {
  $calibre_id = $_GET['calibre_id'];
} else {
  $calibre_id = "";
}
if (isset($_GET['camara_id'])) {
  $camara_id = $_GET['camara_id'];
} else {
  $camara_id = "";
}
if (isset($_GET['n_proceso'])) {
  $n_proceso = $_GET['n_proceso'];
} else {
  $n_proceso = "";
}


?>

<!doctype html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Pallet</title>

  <?php
  include '../../rutas/encabezado3.php';
  $menu = "pallet";
  ?>
  <style>
    .select2-container {
      font-size: 12px;
      width: 300px;
    }
  </style>

</head>

<body>

  <?php
  include '../../rutas/menu_insp2.php';
  ?>

  <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
    <div class="row">

      <?php
      if (($cliente == 'RB' and $especie_id != '41' and $especie_id != '11') || $especie_id == '8' || $especie_id == '7' || $especie_id == '84' || $especie_id == '12' || $especie_id == '85' || $especie_id == '10' || $especie_id == '103' || $especie_id == '104' || $especie_id == '124' || $especie_id == '125' || $especie_id == '116' || $especie_id == '137' || $especie_id == '102') {
        $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CLASIFICACION'");

        if ($row = mysql_fetch_array($rs)) {
          echo '<div class="col-sm">
               Clasificacion <select class="form-control" id="clasificacion_id" name="clasificacion_id" onchange="cargar();">';
          $rs2 = mysql_query("SELECT * FROM cal_clasificacion where cliente_id='$cliente' AND especie_id='$especie_id'");
          $i = 0;
          echo '<option value="">TODOS</option>';
          while ($row2 = mysql_fetch_array($rs2)) {
            if ($i == 0) {
              if (!isset($_GET['clasificacion_id'])) {
                $clasificacion_id = $row2['clasificacion_id'];
              } else {
                $clasificacion_id = $_GET['clasificacion_id'];
              }
            }
            if ($clasificacion_id == $row2['clasificacion_id']) {
              echo '<option value="' . $row2['clasificacion_id'] . '" selected>' . $row2['clasificacion_cod'] . ' - ' . $row2['nombre_clasificacion'] . '</option>';
            } else {
              echo '<option value="' . $row2['clasificacion_id'] . '">' . $row2['clasificacion_cod'] . ' - ' . $row2['nombre_clasificacion'] . '</option>';
            }
            $i++;
          }
          echo '</select>
              </div>';
        }

        $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='EMBALAJE'");

        if ($row = mysql_fetch_array($rs)) {
          echo '<div class="col-sm">
               Embalaje <select class="form-control" id="embalaje_cod" name="embalaje_cod" onchange="cargar();">';
          $rs2 = mysql_query("SELECT * FROM cal_embalaje where cliente_id='$cliente' AND especie_id='$especie_id' AND tipo_embalaje='CALIDAD'");
          echo '<option value="">TODOS</option>';
          while ($row2 = mysql_fetch_array($rs2)) {
            if ($embalaje_cod == $row2['embalaje_cod']) {
              echo '<option value="' . $row2['embalaje_cod'] . '" selected>' . $row2['embalaje_cod'] . '</option>';
            } else {
              echo '<option value="' . $row2['embalaje_cod'] . '">' . $row2['embalaje_cod'] . '</option>';
            }
          }
          echo '</select>
              </div>';
        }
      } else {
        $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CLASIFICACION'");

        if ($row = mysql_fetch_array($rs)) {
          echo '<div class="col-sm">
               Clasificacion <select class="form-control" id="clasificacion_id" name="clasificacion_id" onchange="clasificacion();">';
          $rs2 = mysql_query("SELECT * FROM cal_clasificacion where cliente_id='$cliente' AND especie_id='$especie_id'");
          $i = 0;
          echo '<option value="">TODOS</option>';
          while ($row2 = mysql_fetch_array($rs2)) {
            if ($i == 0) {
              if (!isset($_GET['clasificacion_id'])) {
                $clasificacion_id = $row2['clasificacion_id'];
              } else {
                $clasificacion_id = $_GET['clasificacion_id'];
              }
            }
            if ($clasificacion_id == $row2['clasificacion_id']) {
              echo '<option value="' . $row2['clasificacion_id'] . '" selected>' . $row2['clasificacion_cod'] . ' - ' . $row2['nombre_clasificacion'] . '</option>';
            } else {
              echo '<option value="' . $row2['clasificacion_id'] . '">' . $row2['clasificacion_cod'] . ' - ' . $row2['nombre_clasificacion'] . '</option>';
            }
            $i++;
          }
          echo '</select>
              </div>';
        }

        $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='EMBALAJE'");

        if ($row = mysql_fetch_array($rs)) {
          if ($cliente == "ASJ") {
            echo '<div class="col-sm">
               Embalaje <select class="form-control" id="embalaje_cod" name="embalaje_cod" onchange="cargar();">';
            $rs2 = mysql_query("SELECT * FROM cal_embalaje where cliente_id='$cliente' AND especie_id='$especie_id' AND clasificacion_id='$clasificacion_id' AND exportador_cod='$exportador_cod' AND tipo_embalaje='CALIDAD'");
          } else {
            echo '<div class="col-sm">
               Embalaje <select class="form-control" id="embalaje_cod" name="embalaje_cod" onchange="cargar();">';
            $rs2 = mysql_query("SELECT * FROM cal_embalaje where cliente_id='$cliente' AND especie_id='$especie_id' AND clasificacion_id='$clasificacion_id' AND tipo_embalaje='CALIDAD'");
          }

          echo '<option value="">TODOS</option>';
          while ($row2 = mysql_fetch_array($rs2)) {
            if ($embalaje_cod == $row2['embalaje_cod']) {
              echo '<option value="' . $row2['embalaje_cod'] . '" selected>' . $row2['embalaje_cod'] . '</option>';
            } else {
              echo '<option value="' . $row2['embalaje_cod'] . '">' . $row2['embalaje_cod'] . '</option>';
            }
          }
          echo '</select>
              </div>';
        }
      }


      $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='VARIEDAD'");

      if ($row = mysql_fetch_array($rs)) {
        echo '<div class="col-sm">
               Variedad <select class="form-control" id="variedad_id" name="variedad_id" onchange="cargar();">';
        $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' AND especie_id='$especie_id' order by cal_variedades.variedad_nombre ASC");
        echo '<option value="">TODOS</option>';
        while ($row2 = mysql_fetch_array($rs2)) {
          if ($variedad_id == $row2['variedad_id']) {
            echo '<option value="' . $row2['variedad_id'] . '" selected>' . $row2['variedad_nombre'] . '</option>';
          } else {
            echo '<option value="' . $row2['variedad_id'] . '">' . $row2['variedad_nombre'] . '</option>';
          }
        }
        echo '</select>
              </div>';
      }

      $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='PRODUCTOR'");

      if ($row = mysql_fetch_array($rs)) {
        echo '<div class="col-sm">
               Productor <select class="form-control editable" id="productor_id" name="productor_id" onchange="cargar();">';
        $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' ORDER BY productor_nombre ASC");
        echo '<option value="">TODOS</option>';
        while ($row2 = mysql_fetch_array($rs2)) {
          if ($productor_id === $row2['productor_id']) {
            echo '<option value="' . $row2['productor_id'] . '" selected>' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
          } else {
            echo '<option value="' . $row2['productor_id'] . '">' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
          }
        }
        echo '</select>
                        
                       
              </div>';
      }



      $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CALIBRE'");

      if ($row = mysql_fetch_array($rs)) {
        echo '<div class="col-sm">
               Calibre <select class="form-control" id="calibre_id" name="calibre_id" onchange="cargar();">';
        $rs2 = mysql_query("SELECT * FROM cal_calibre where cliente_id='$cliente' AND especie_id='$especie_id' AND exportador_cod='$exportador_cod' ORDER BY orden_calibre ASC");
        echo '<option value="">TODOS</option>';
        while ($row2 = mysql_fetch_array($rs2)) {
          if ($calibre_id == $row2['calibre_id']) {
            echo '<option value="' . $row2['calibre_id'] . '" selected>' . $row2['calibre_nombre'] . '</option>';
          } else {
            echo '<option value="' . $row2['calibre_id'] . '">' . $row2['calibre_nombre'] . '</option>';
          }
        }
        echo '</select>
              </div>';
      }

      $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='NPROCESO'");

      if ($row = mysql_fetch_array($rs)) {
        echo '<div class="col-sm">
               Nº Proceso: <input type="numeric" class="form-control" id="n_proceso" name="n_proceso" value="' . $n_proceso . '" onchange="entrar()">
              </div>';
      }

      $rs = mysql_query("SELECT * FROM cal_filtros where cliente_id='$cliente' AND especie_id='$especie_id' AND filtro_ingreso='CAMARA'");

      if ($row = mysql_fetch_array($rs)) {
        echo '<div class="col-sm">
               Camara <select class="form-control" id="camara_id" name="camara_id" onchange="cargar();">';
        if ($camara_id == '') {
          echo '<option selected value="">TODOS</option>';
        } else {
          echo '<option value="">TODOS</option>';
        }
        if ($camara_id == 'FC') {
          echo '<option selected>FC</option>';
        } else {
          echo '<option>FC</option>';
        }
        if ($camara_id == '1A') {
          echo '<option selected>1A</option>';
        } else {
          echo '<option>1A</option>';
        }
        if ($camara_id == '1B') {
          echo '<option selected>1B</option>';
        } else {
          echo '<option>1B</option>';
        }
        if ($camara_id == '2A') {
          echo '<option selected>2A</option>';
        } else {
          echo '<option>2A</option>';
        }
        if ($camara_id == '2B') {
          echo '<option selected>2B</option>';
        } else {
          echo '<option>2B</option>';
        }
        if ($camara_id == '5A') {
          echo '<option selected>5A</option>';
        } else {
          echo '<option>5A</option>';
        }
        if ($camara_id == '5B') {
          echo '<option selected>5B</option>';
        } else {
          echo '<option>5B</option>';
        }
        if ($camara_id == '6A') {
          echo '<option selected>6A</option>';
        } else {
          echo '<option>6A</option>';
        }
        if ($camara_id == '6B') {
          echo '<option selected>6B</option>';
        } else {
          echo '<option>6B</option>';
        }
        if ($camara_id == '7A') {
          echo '<option selected>7A</option>';
        } else {
          echo '<option>7A</option>';
        }
        if ($camara_id == '7B') {
          echo '<option selected>7B</option>';
        } else {
          echo '<option>7B</option>';
        }
        if ($camara_id == '8A') {
          echo '<option selected>8A</option>';
        } else {
          echo '<option>8A</option>';
        }
        if ($camara_id == '8B') {
          echo '<option selected>8B</option>';
        } else {
          echo '<option>8B</option>';
        }

        echo '</select>
              </div>';
      } else {
        echo '<input type="hidden" id="camara_id" name="camara_id" value="">';
      }

      echo '<input type="hidden" id="pi_folio" name="pi_folio" value="' . $pi_folio . '">';
      echo '<input type="hidden" id="especie_id" name="especie_id" value="' . $especie_id . '">';

      ?>
    </div>
  </div>

  <div id="ingreso" style="width: 100%; height: 100%; overflow: scroll;">


  </div>


  <!-- Bootstrap core JavaScript
    ================================================== -->
    <?php
  include '../../rutas/scriptfinales3.php';
  ?>
  <script>
    
      $(".editable").chosen({
        width: "100%"

      });
    
  </script>

  <script type="text/javascript">
    setTimeout(cargar, 300);


    function entrar() {


      cargar();

    }

    function clasificacion() {
      var especie_id = $("#especie_id").val();
      var exportador_cod = <?php echo json_encode($exportador_cod); ?>;
      var clasificacion_id = $('#clasificacion_id').val();
      //alert(exportador_cod);
      $('#embalaje_cod').load('getEmbalaje.php?clasificacion_id=' + clasificacion_id + '&especie_id=' + especie_id + '&exportador_cod=' + exportador_cod);
      var embalaje_cod = $("#embalaje_cod").val();
      setTimeout(cargar, 300);

    }


    function cargar() {


      var embalaje_cod = $("#embalaje_cod").val();
      //alert(embalaje_cod);

      var variedad_id = $("#variedad_id").val();
      var productor_id = $('#productor_id').chosen().val();
      var clasificacion_id = $("#clasificacion_id").val();

      var calibre_id = $("#calibre_id").val();
      var camara_id = $("#camara_id").val();
      var pi_folio = $("#pi_folio").val();
      var especie_id = $("#especie_id").val();
      var n_proceso = $("#n_proceso").val();

      $("#ingreso").load("cargar_cajas.php?embalaje_cod=" + embalaje_cod + "&variedad_id=" + variedad_id + "&productor_id=" + productor_id + "&clasificacion_id=" + clasificacion_id + "&calibre_id=" + calibre_id + "&camara_id=" + camara_id + "&pi_folio=" + pi_folio + "&especie_id=" + especie_id + "&n_proceso=" + n_proceso);

    }
  </script>

 
</body>

</html>